Subject: bug#56311: [PATCH] new function: delete-visited-file

From: Sean Whitton <[email-masked]>
Date: Thu, 30 Jun 2022 09:29:08 -0700

Hello,

On Thu 30 Jun 2022 at 12:27pm +02, Lars Ingebrigtsen wrote:

> And since deleting the visited file is currently very easy, as Eli
> pointed out:
>
>   M-x delete-file RET M-n RET

There's also C-x C-j D.

> I don't think this would be a command that people would use a lot.

They shouldn't be using it a lot, and I agree that it probably shouldn't
be added, but it does seem worth noting that a lot of users have
something like this in their init, and use it a lot.  I did until today,
and used it almost daily.  (After reading this thread, I've replaced it
with something calling bury-buffer.)  It's also to be found in Spacemacs
and Doom Emacs.

-- 
Sean Whitton